program nadovezivanje;
var
A,B,C:int64;
o:double;
at,bt,ct:int64;
an,bn,cn:integer;
begin
read(A,B,C);
at:=A;
an:=1;
while at>9 do
begin
an:=an+1;
at:=at Div(10);
end;
bt:=B;
bn:=1;
while bt>9 do
begin
bn:=bn+1;
bt:=bt Div(10);
end;
ct:=C;
cn:=1;
while ct>9 do
begin
cn:=cn+1;
ct:=ct Div(10);
end;
if (at>bt) and (at>ct) then
	begin
	if bt>ct then
	o:=a*exp((bn+cn)*ln(10))+b*exp(cn*ln(10))+c;
	if ct>bt then
	o:=a*exp((bn+cn)*ln(10))+c*exp(bn*ln(10))+b;
	if ct=bt then
	begin
		if c>b then
		o:=a*exp((bn+cn)*ln(10))+c*exp(bn*ln(10))+b
		else
		o:=a*exp((bn+cn)*ln(10))+b*exp(cn*ln(10))+c;
	end;
end;
if  (bt>at) and (bt>ct) then
	begin
	if at>ct then
	o:=b*exp((an+cn)*ln(10))+a*exp(cn*ln(10))+c;
	if ct>at then
	o:=b*exp((an+cn)*ln(10))+c*exp(an*ln(10))+a;
	if at=ct then
	begin
		if a>c then
		o:=b*exp((an+cn)*ln(10))+a*exp(cn*ln(10))+c
		else
		o:=b*exp((an+cn)*ln(10))+c*exp(an*ln(10))+a;
	end;
end;
if (ct>at) and (ct>bt) then
	begin
	if at>bt then
	o:=c*exp((an+bn)*ln(10))+a*exp(bn*ln(10))+b;
	if bt>at then
	o:=c*exp((bn+an)*ln(10))+b*exp(an*ln(10))+a;
	if at=bt then
	begin
		if a>b then
		o:=c*exp((an+bn)*ln(10))+a*exp(bn*ln(10))+b
		else
		o:=c*exp((bn+an)*ln(10))+b*exp(an*ln(10))+a;
	end;
end;
if (at=bt) and (at=ct) then
begin
	if (a>b) and (a>c) then
		begin
			if b>c then
			o:=a*exp((bn+cn)*ln(10))+b*exp(cn*ln(10))+c
			else
			o:=a*exp((bn+cn)*ln(10))+c*exp(bn*ln(10))+b;
		end;
	if (b>a) and (b>c) then
		begin
			if a>c then
			o:=b*exp((an+cn)*ln(10))+a*exp(cn*ln(10))+c
			else
			o:=b*exp((an+cn)*ln(10))+c*exp(an*ln(10))+a;
		end;
	if (c>a) and (c>b) then
		begin
			if a>b then
			o:=c*exp((an+bn)*ln(10))+a*exp(bn*ln(10))+b
			else
			o:=c*exp((bn+an)*ln(10))+b*exp(an*ln(10))+a;
		end;
end;
if (at=bt) and (at>ct) then
begin
	if a>b then
	o:=a*exp((bn+cn)*ln(10))+b*exp(cn*ln(10))+c
	else
	o:=b*exp((an+cn)*ln(10))+a*exp(cn*ln(10))+c;
end;
if (at=ct) and (at>bt) then
begin
	if a>c then
	o:=a*exp((bn+cn)*ln(10))+c*exp(bn*ln(10))+b
	else
	o:=c*exp((an+bn)*ln(10))+a*exp(bn*ln(10))+b;
end;
if (bt=ct) and (bt>at) then
begin
	if b>c then
	o:=b*exp((an+cn)*ln(10))+c*exp(an*ln(10))+a
	else
	o:=c*exp((bn+an)*ln(10))+b*exp(an*ln(10))+a;
end;
write(o);
end.